SecurityTestUtil (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.security

## Class SecurityTestUtil

- java.lang.Object
- - org.apache.geode.security.SecurityTestUtil

-     public class SecurityTestUtil
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityTestUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `assertNotAuthorized(org.assertj.core.api.ThrowableAssert.ThrowingCallable shouldRaiseThrowable, java.lang.String permString)`
    `static ClientCache` | `createClientCache(java.lang.String username, java.lang.String password, int serverPort)`
    `static ClientCache` | `createClientCache(java.lang.String username, java.lang.String password, int serverPort, java.util.Properties extraProperties)`
    `static Region` | `createProxyRegion(ClientCache cache, java.lang.String regionName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecurityTestUtil

          public SecurityTestUtil()

  - ### Method Detail

    - #### createClientCache

          public static ClientCache createClientCache(java.lang.String username,
                                                      java.lang.String password,
                                                      int serverPort)

    - #### createClientCache

          public static ClientCache createClientCache(java.lang.String username,
                                                      java.lang.String password,
                                                      int serverPort,
                                                      java.util.Properties extraProperties)

    - #### createProxyRegion

          public static Region createProxyRegion(ClientCache cache,
                                                 java.lang.String regionName)

    - #### assertNotAuthorized

          public static void assertNotAuthorized(org.assertj.core.api.ThrowableAssert.ThrowingCallable shouldRaiseThrowable,
                                                 java.lang.String permString)